
Redmine - Feature #5086

Add a warning to inform that target version is reset while moving an issue to another project

2010-03-15 17:11 - julien aubert

Status: New Start date: 2010-03-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

MySQL 5

Rails 2.3.5

Redmine 0.9.3

Project A

- subproject b

Bulk moved issues from project A which had different target versions to subproject b.

Version became "none" on all of them.

There should be a warning or similar to inform that the version will be changed to none.

(Had I noticed, I would have first made the versions shared with version b and then make the move).

Related issues:

Has duplicate Redmine - Feature #8198: Lost target version when moving ticket... Closed 2011-04-20

Has duplicate Redmine - Defect #16181: When moving issues to a new project, T... Closed

History

#1 - 2010-03-15 18:35 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Moving  to Add a warning to inform that target version is reset while moving an issue to another project

#2 - 2010-03-16 21:41 - Jean-Philippe Lang

- Category set to UI

#3 - 2010-05-20 11:12 - Nigel Jones

+1

It isn't obvious that Target Version will be blanked out when an issue is moved between projects so a warning would be appreciated.

Additionally, if a version of the same name already exists in the destination project, could the issue's Target Version be updated automatically as part

of the move process? E.g.:

Project 1 has versions: 1.0, 1.1

Project 2 has versions: 1.1, 2.0

Issue 001 exists in Project 1 and has Target Version set to "1.0".

Issue 002 exists in Project 2 and has Target Version set to "1.1".

A user moves both issues to Project 2.

Issue 001's Target Version doesn't exist in the destination project so is blanked as per current behaviour.

Issue 002's Target Version exists in the destination project as well, so the field remains set to "1.1".

We're having to note down values and fix this up manually at the moment.

#4 - 2014-02-28 13:29 - Jean-Philippe Lang

- Has duplicate Defect #16181: When moving issues to a new project, Target Version is lost. added
